<div ng-controller="ListaSemanaCtrl">
    <div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <!-- <li>
                  <a ui-sref="home.dashboard">Semana</a>
                </li> -->
              </ul>
            </div>
        </div>
        <div class="card-container">
        	<div class="panel panel-success">
        		<div class="panel-heading">
        			<h3 class="panel-title"><i class="fa fa-calendar"></i> Aperturar Semanas</h3>
        		</div>
        		<div class="panel-body">
              <div class="row">
                  <div class="col-md-4">
                      <input type="text" class="form-control" ng-model="buscar" name="" placeholder="Buscar semana">
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                      <!-- <label for="">Año</label> -->
                      <select class="form-control" ng-model="obj.anio" ng-change="list(obj.anio)" ng-options="an.id as an.anio for an in anios">
                        <option value="">-- Año --</option>
                      </select>
                    </div>
                  </div>
                  <div class="col-md-4">
                      <button class="btn btn-rounded-10 btn-success mb-10 btn-block" ng-if="permisosHas('semana.aperturar')" ng-click="clear();openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar semana</button>
                  </div>                        
              </div>
              <hr>
              <div class="loading-container" ng-if="flag">
                  <div class="loading"></div>
                  <div id="loading-text">Cargando</div>
              </div>
              <div ng-if="semanas.length > 0 && !flag">
          			<div class="row">
                  <div class="card-container col-md-4" dir-paginate="sem in semanas |filter: buscar | itemsPerPage: 9" pagination-id="sem.id_semana">
                      <div class="card">
                        <div class="front bg-greensea">

                          <!-- row -->
                          <div class="row">
                            <!-- col -->
                            <div class="col-xs-4">
                              <i class="fa fa-calendar fa-4x"></i>
                            </div>
                            <!-- /col -->
                            <!-- col -->
                            <div class="col-xs-8">
                              <p class="text-strong mb-0">SEMANA {{sem.semana}}</p>
                              <span>{{sem.total_contenedores}} Contenedores</span>
                            </div>
                            <!-- /col -->
                          </div>
                          <!-- /row -->

                        </div>
                        <div class="back bg-greensea">

                          <!-- row -->
                          <div class="row">
                            <!-- col -->
                            <div class="col-xs-4">
                              <a href=javascript:; ng-if="permisosHas('semana.eliminar')" class="text-danger" ng-click="load(sem);openModalDelete($event)"><i class="fa fa-trash-o fa-2x"></i> Eliminar</a>
                              <a ng-if="!permisosHas('semana.eliminar')" class="text-danger"><i class="fa fa-trash-o fa-2x"></i> Eliminar</a>
                            </div>
                            <!-- /col -->
                            <!-- col -->
                            <div class="col-xs-4">
                              <a href='javascript:;' ng-if="!sem.down" ng-click="exportarData(sem)"><i class="fa fa-file-excel-o fa-2x"></i> Exportar datos</a>
                              <a href='javascript:;' ng-if="sem.down"><i class="fa fa-spinner fa-spin fa-2x"></i> exportando</a>
                            </div>
                            <!-- /col -->
                            <!-- col -->
                            <div class="col-xs-4">
                              <a ui-sref="home.semana.detalle_semana" ng-click="redirectContenedor(sem)"><i class="fa fa-arrow-right fa-2x"></i> Ir</a>
                            </div>
                            <!-- /col -->
                          </div>
                          <!-- /row -->

                        </div>
                      </div>
                  </div>
          			</div>	
                <div class="pull-right">
                    <dir-pagination-controls pagination-id="sem.id_semana"></dir-pagination-controls>
                </div>
              </div>
              <div ng-if="semanas.length == 0 && !flag">
                  <p class="text-center">
                    <i class="fa fa-calendar fa-4x"></i>
                    <h5 class="text-center">no hay semanas aperturadas...</h5>
                  </p>
              </div>
        		</div>
        	</div>
        </div>
    </div>

    <script type="text/ng-template" id="modal_open_week.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
            <legend class="text-center"><i class="fa fa-calendar"></i> Aperturar Semana</legend>
            <div class="row">
                <div class="col-md-offset-3 col-md-6">
                    <form>
                       <div class="form-group">
                            <label>Semana | <span class="obligatorio">(obligatorio)</span></label>
                            <select class="form-control" ng-model="obj.nombre" ng-options="sem.id as sem.nombre for sem in semanasAnio">
                                <option value="">-- Seleccione Semana --</option>
                            </select>
                       </div>

                       <div class="form-group">
                            <label>Año | <span class="obligatorio">(obligatorio)</span></label>
                            <select class="form-control" ng-model="obj.id_anio" ng-options="an.id as an.anio for an in anios">
                                <option value="">-- Seleccione Año --</option>
                            </select>
                       </div>
                    </form>
                    
                    <br>
                </div>
            </div>
            <div class="text-center">
                <button type="button" class="btn btn-primary  btn-rounded-10" ng-click="createEdit()"><i class="fa fa-save"></i> Aperturar</button>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
            </div>
        </div>
    </script>
    <script type="text/ng-template" id="modal_week_delete.html">
        <div class="modal-header">
            <div class="text-center">
                <h4 class="modal-title">¿Desea eliminar esta semana?</h4>
            </div>
        </div>
        <div class="modal-body">
            <div class="text-center">
                <h3>Semana {{obj.semana}}</h3>
                <button type="button" class="btn btn-default btn-border btn-rounded-10 btn-lg" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
                <button type="submit" class="btn btn-danger btn-rounded-10 btn-lg" ng-click="ok()"><i class="fa fa-trash"></i> Eliminar</button>
            </div>
        </div>
    </script>
</div>